#include <Adafruit_NeoPixel.h>

// Which pin on the Arduino is connected to the NeoPixels?
#define LED_PIN    10

// How many NeoPixels are attached to the Arduino?
#define LED_COUNT 10

// Declare our NeoPixel strip object:
Adafruit_NeoPixel strip(LED_COUNT, LED_PIN, NEO_GRB + NEO_KHZ800);

//360000 is 1 hour
//9000 is 15 min

void setup() {
  // This code runs once when the ESP32 starts up
  strip.begin();           // Initialize the NeoPixel strip object
  strip.show();            // Turn OFF all pixels ASAP
  strip.setBrightness(50); // Set brightness to a reasonable level (0-255)
}

void loop() {
  // This code loops continuously
  
  // Example: Turn the first LED red
  strip.setPixelColor(0, strip.Color(255, 50, 50));
  strip.show();
  delay(36000);

  strip.setPixelColor(1, strip.Color(255, 255, 50));
  strip.show();
  delay(36000);


  strip.setPixelColor(2, strip.Color(50, 255, 50));
  strip.show();
  delay(36000);

  strip.setPixelColor(3, strip.Color(50, 255, 255));
  strip.show();
  delay(36000);

  strip.setPixelColor(4, strip.Color(50, 50, 255));
  strip.show();
  delay(36000);

  strip.setPixelColor(5, strip.Color(255, 50, 255));
  strip.show();
  delay(36000);

  strip.setPixelColor(6, strip.Color(255, 255, 100));
  strip.show();
  delay(36000);

  strip.setPixelColor(7, strip.Color(250, 100, 50));
  strip.show();
  delay(36000);

  strip.setPixelColor(8, strip.Color(100, 200, 150));
  strip.show();
  delay(36000);

  strip.setPixelColor(9, strip.Color(200, 80, 10));
  strip.show();
  delay(36000);




  // Turn it off
  strip.clear();
  strip.show();
  delay(36000);
}